import type { BSONValue } from '../utils';
import StandardEditor from './standard';
import type Element from '../element';
/**
 * CRUD editor for date values.
 */
export default class DateEditor extends StandardEditor {
    /**
     * Create the editor with the element.
     *
     * @param {Element} element - The hadron document element.
     */
    constructor(element: Element);
    /**
     * Complete the date edit by converting the valid string to a date
     * object or leaving as invalid.
     */
    complete(): void;
    /**
     * Edit the element with the provided value.
     *
     * @param {Object} value - The new value.
     */
    edit(value: BSONValue): void;
    /**
     * Get the number of characters the value should display.
     *
     * @param {Boolean} editMode - If the element is being edited.
     *
     * @returns {Number} The number of characters.
     */
    size(editMode?: boolean): number;
    /**
     * Start the date edit.
     *
     * @param {Object} value - The value in the field.
     */
    start(): void;
    /**
     * Get the value being edited.
     *
     * @param {Boolean} editMode - If the UI is in edit mode.
     *
     * @returns {String} The value.
     */
    value(): string;
    _formattedValue(): string;
}
//# sourceMappingURL=date.d.ts.map