import StandardEditor from './standard';
import type Element from '../element';
import type { BSONValue } from '../utils';
/**
 * CRUD editor for decimal128 values.
 */
export default class Decimal128Editor extends StandardEditor {
    /**
     * Create the editor with the element.
     *
     * @param {Element} element - The hadron document element.
     */
    constructor(element: Element);
    /**
     * Complete the decimal128 edit by converting the valid string to a decimal128
     * value or leaving as invalid.
     */
    complete(): void;
    /**
     * Edit Decimal128 element. Check if the value is a Decimal128 before setting typed
     * up value.
     *
     * @param {Object} value - The new value.
     */
    edit(value: BSONValue): void;
}
//# sourceMappingURL=decimal128.d.ts.map