import type { BSONValue } from '../utils';
import StandardEditor from './standard';
import type Element from '../element';
/**
 * CRUD editor for double values.
 */
export default class DoubleEditor extends StandardEditor {
    /**
     * Create the editor with the element.
     *
     * @param {Element} element - The hadron document element.
     */
    constructor(element: Element);
    /**
     * Complete the double edit by converting the valid string to a double
     * value or leaving as invalid.
     */
    complete(): void;
    /**
     * Edit Double element. Check if the value is a Double before setting tped
     * up value.
     *
     * @param {Object} value - The new value.
     */
    edit(value: BSONValue): void;
    /**
     * Get the number of characters the value should display.
     *
     * @param {Boolean} editMode - If the element is being edited.
     *
     * @returns {Number} The number of characters.
     */
    size(): number;
}
//# sourceMappingURL=double.d.ts.map