"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const utils_1 = require("../utils");
const standard_1 = __importDefault(require("./standard"));
/**
 * CRUD editor for int32 values.
 */
class Int32Editor extends standard_1.default {
    /**
     * Create the editor with the element.
     *
     * @param {Element} element - The hadron document element.
     */
    constructor(element) {
        super(element);
    }
    /**
     * Get the number of characters the value should display.
     *
     * @param {Boolean} editMode - If the element is being edited.
     *
     * @returns {Number} The number of characters.
     */
    size() {
        return (0, utils_1.fieldStringLen)(this.element.currentValue.valueOf());
    }
}
exports.default = Int32Editor;
//# sourceMappingURL=int32.js.map