import StandardEditor from './standard';
import type Element from '../element';
import type { BSONValue } from '../utils';
/**
 * CRUD editor for int32 values.
 */
export default class Int64Editor extends StandardEditor {
    /**
     * Create the editor with the element.
     *
     * @param {Element} element - The hadron document element.
     */
    constructor(element: Element);
    /**
     * Complete the int64 edit by converting the valid string to a int64
     * value or leaving as invalid.
     */
    complete(): void;
    /**
     * Edit Int64 element. Check if the value is a Int64 before setting typed
     * up value.
     *
     * @param {Object} value - The new value.
     */
    edit(value: BSONValue): void;
}
//# sourceMappingURL=int64.d.ts.map