import StandardEditor from './standard';
import type Element from '../element';
/**
 * CRUD editor for null values.
 */
export default class NullEditor extends StandardEditor {
    /**
     * Create the editor with the element.
     *
     * @param {Element} element - The hadron document element.
     */
    constructor(element: Element);
    /**
     * Get the number of characters the value should display.
     *
     * @param {Boolean} editMode - If the element is being edited.
     *
     * @returns {Number} The number of characters.
     */
    size(): number;
    /**
     * Get the value being edited.
     *
     * @returns {Object} The value.
     */
    value(): 'null';
}
//# sourceMappingURL=null.d.ts.map