import StandardEditor from './standard';
import type Element from '../element';
import type { BSONValue } from '../utils';
/**
 * CRUD editor for object id values.
 */
export default class ObjectIdEditor extends StandardEditor {
    /**
     * Create the editor with the element.
     *
     * @param {Element} element - The hadron document element.
     */
    constructor(element: Element);
    /**
     * Complete the object id edit by converting the valid string to an object id
     * object or leaving as invalid.
     */
    complete(): void;
    /**
     * Edit the element with the provided value.
     *
     * @param {Object} value - The new value.
     */
    edit(value: BSONValue): void;
    /**
     * Start the object id edit.
     */
    start(): void;
}
//# sourceMappingURL=objectid.d.ts.map